<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class OrderItem extends Model
{
    use HasFactory;

    protected $fillable = [
        'order_id',
        'product_id',
        'product_name',
        'quantity',
        'price',
        'weight'
    ];

    // Relasi: Detail barang ini milik satu pesanan induk (Order)
    public function order()
    {
        return $this->belongsTo(Order::class);
    }

    // Relasi: Detail barang ini merujuk ke master Produk
    // (Asumsi Anda menggunakan model Product untuk Empal Gentong Kaleng)
    public function product()
    {
        return $this->belongsTo(Product::class);
    }
}